<?php
function mio_custom_post_types() {
  $args = array(
    'public' => true,
    'menu_icon' => 'dashicons-media-default',
    'labels' => array(
      'name' => __( 'Resources' ),
      'singular_name' => __( 'Resource' ),
      'add_new_item' => __( 'Add new resource' ),
      'add_new' => __('New resource'),
      'edit_item' => __( 'Edit resource' ),
      'all_items' => __( 'All resources' ),
      'view_item' => __( 'View resource' )
    ),
    'hierarchical' => true,
    'has_archive' => false,
    'supports' => array( 'title', 'editor', 'author' )
  );
  register_post_type( 'resources', $args );

  $args = array(
    'public' => true,
    'menu_icon' => 'dashicons-calendar',
    'labels' => array(
      'name' => __( 'Events' ),
      'singular_name' => __( 'Event' ),
      'add_new_item' => __( 'Add new event' ),
      'add_new' => __('New event'),
      'edit_item' => __( 'Edit event' ),
      'all_items' => __( 'All events' ),
      'view_item' => __( 'View event' )
    ),
    'hierarchical' => true,
    'has_archive' => false,
    'supports' => array( 'title', 'editor', 'author' )
  );
  register_post_type( 'events', $args );
}
add_action( 'init', 'mio_custom_post_types' );


function mio_custom_taxonomies() {
  $args = array(
  	'hierarchical' => true,
    'labels' => array(
	    'name' => __( 'Resource types', 'taxonomy general name'),
	    'singular_name' => __( 'Resource type', 'taxonomy singular name'),
	    'add_new_item' => __( 'Add new resource type' ),
	    'new_item_name' => __( 'New resource type' ),
	    'view_item' => __( 'View resource type' ),
	    'edit_item' => __( 'Edit resource type' )
	  )
  );
  register_taxonomy('resource-types', 'resources', $args);

  $args = array(
  	'hierarchical' => true,
    'labels' => array(
	    'name' => __( 'Event categories', 'taxonomy general name'),
	    'singular_name' => __( 'Event category', 'taxonomy singular name'),
	    'add_new_item' => __( 'Add new event category' ),
	    'new_item_name' => __( 'New event category' ),
	    'view_item' => __( 'View event category' ),
	    'edit_item' => __( 'Edit event category' )
	  )
  );
  register_taxonomy('event-categories', 'events', $args);
}
add_action( 'init', 'mio_custom_taxonomies', 0);